> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除账户

> 永久删除用户账户。

## DELETE /accounts

永久删除当前认证用户的账户及关联数据，包括站点、API Key、URL 发现任务与生成任务等。

<Warning>
  此操作不可恢复。删除后所有数据将永久清除。
</Warning>

### 响应

<ResponseField name="success" type="boolean">
  删除是否成功。
</ResponseField>

<ResponseField name="message" type="string">
  状态说明。
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE https://api.llmgenerator.com/api/v1/accounts \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.llmgenerator.com/api/v1/accounts',
    {
      method: 'DELETE',
      headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
    }
  );
  ```
</RequestExample>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "message": "Account deleted successfully"
  }
  ```

  ```json Unauthorized (401) theme={null}
  {
    "message": "API key context not found"
  }
  ```
</ResponseExample>
